Echo off
Cls
Echo                          Welcome to Sparkle 
Echo 
Echo 
Echo            =====  Sparkle2's Option #4:  Get USER INPUT  =====
Echo 
Echo 
Echo When you press a key, we're going to T-R-Y to use Sparkle's GET INPUT option.
Echo 
Echo  * We say "TRY" because in a moment we'll ask you to type in your name.  We'll
Echo    then try to SET an environment variable so we can use your name later.
Echo 
Echo  * This will only work if there is enough free "environment space" for us
Echo    to add your name.  If not, no harm will be done, but we won't be able to
Echo    address you personally later on.
Echo 
Echo Please read Sparkle2's manual for details on this powerful option.
Echo 
Sparkle2 7 22 25 79 3
:==== The next line PAINTS over our scrolling banner using color 68 (red on red).
Sparkle2 1 20 3 24 78 68 1
Echo 
Sparkle2 4 22 15 112 15 1 /Please enter your first name   /YourName
Cls
: ===== If we succeeded above in SETting your name in the environment,
:       NOTE how we use it below -- %YourName%.  This is an example of
:       using DOS' "named parameters".
Echo 
Echo                    Welcome to Sparkle %YourName% 
Echo 
Echo 
Echo         We hope you enjoy this demo.  And we hope you enjoy Sparkle.
Echo 
Echo 
Sparkle2 7 22 25 27 3
:
: ===== PAINT some areas of the screen
:
Cls
Echo         =====  Sparkle2's Option #1:  PAINT areas of the screen =====
Echo   
Echo   Here we're painting areas of the screen.  You can paint anything from
Echo   a single character to the entire screen.  And you can fill an area
Echo   with color, or paint a border around something.  NOTE:  If you have
Echo   a MONOCHROME monitor, you won't see ANY of the demos that use colors.
Sparkle2 1 10 4 14 80 18 1
Sparkle2 1 16 15 24 54 64 1
Sparkle2 1 8 70 20 75 39 1
: ===== Paint just the border here (thus the ending "0")
Sparkle2 1 7 35 23 50 94 0
Echo 
Pause
:
: ===== REVERSE some areas of the screen
:
Cls
Echo           ===== Sparkle2's Option #2:  REVERSE colors on the screen =====
Echo   
Echo            Now we'll REVERSE these colors -- reversing them 6 times each.
Echo        One use for this option is to draw attention to something on the screen.
Echo 
Sparkle2 1 10 4 14 80 18 1
Sparkle2 1 16 15 24 54 64 1
Sparkle2 1 8 70 20 75 39 1
Sparkle2 1 7 35 23 50 94 0
Pause
Sparkle2 2 10 4 14 80 6 1
Sparkle2 2 16 15 24 54 6 1
Sparkle2 2 8 70 20 75 6 1
: ===== Reverse just the WHOLE THING here -- several colors will change!
Sparkle2 2 7 35 23 50 6 1
: ===== Now reverse EVERYTHING ON THE SCREEN !!!
Sparkle2 2 1 1 25 80 6 1
Echo 
Pause
:
: ===== BRIGHT BACKGROUNDS
:
Cls
Echo         ===== Sparkle2's Option #3:  BRIGHT BACKGROUND colors =====
Echo   
Echo  We're about to turn ON Bright Backgrounds, to offer colors you normally don't
Echo  see on PCs.  This ONLY works on CGA, EGA or VGA monitors, it blinks otherwise.
Echo  
Pause
Echo  
Echo         First we'll paint an area of the screen -- with a BLINKING color.
Sparkle2 1 1 1 4 80 224 1
Echo  
Echo 
Pause
Echo  Now we'll turn ON Bright Backgrounds -- which turns blinking colors into
Echo  bright background colors.
Sparkle2 3 1
Echo 
Echo  When you press a key, we'll turn OFF bright background colors.
Echo  
Pause
Sparkle2 3 0
Pause
:
: ===== Demonstrate different PROMPTS
:
Cls
Echo        =====  Sparkle2's Option #7:  Attention-Getting PROMPTS =====
Echo 
Echo There are many times in batch files when you want to Pause and wait for
Echo someone to press a key.  DOS offers a Pause option, and Sparkle (the
Echo original version) offers ASK.
Echo 
Echo But Sparkle2 offers 3 other, dramatic options.  They let YOU control
Echo WHAT you see, WHERE it is, and what COLORS to use.
Echo 
Echo You saw one option earlier.  Press a key to see them all.
Echo 
Pause
Echo 
Echo 
Echo ====== Here's a TWIRLING BATON =====
Sparkle2 7 16 42 14 1
Echo 
Echo ====== Here's an EXPLODING BUTTON ==
Sparkle2 7 18 42 30 2
Echo 
Echo ====== And then there's a BANNER ===
Sparkle2 7 20 42 79 3
:
: ===== VIEW FILES -- in windows if you like.
:
Echo off
Cls
Echo        =====  Sparkle2's Option #6:  VIEW FILES in WINDOWS =====
Echo 
If Not Exist Sparkle2.Doc Goto DocNotHere
Echo With Sparkle2, you can display ANY TEXT FILE in a scrollable window.  For
Echo example, here's Sparkle2's manual (Sparkle2.Doc).
Echo 
Pause
Echo                        First we'll paint an area.
Sparkle2 1 11 1 25 80 39 1
Sparkle2 1 13 4 24 78 15 1
Echo 
Echo === Press cursor pad keys to browse through Sparkle2.Doc.     ESCAPE = Quit ===
Sparkle2 6 12 3 23 77 27 /Sparkle2.Doc
goto DOSVersion
:
:DocNotHere
:
Echo 
Echo Sorry, I was going to demonstrate VIEW FILE, but Sparkle2.Doc isn't here.
Echo 
Pause
:DOSVersion
:
: ===== Determine and display the VERSION of DOS being used
:
Cls
Echo         =====  Sparkle2's Option #5:  Report the DOS VERSION =====
Echo 
Echo     It's sometimes helpful to know which version of DOS is being used.
Echo    For example, certain programs can't run under very early DOS versions.
Echo   Or you might want to know if certain DOS features/programs are available.
Echo  
Sparkle2 5
If Errorlevel 500 goto DOS5
If Errorlevel 400 goto DOS4
If Errorlevel 300 goto DOS3
If Errorlevel 200 goto DOS2
If Errorlevel 100 goto DOS1
Echo An unknown DOS version is being used.
goto end
:DOS1
Echo Sparkle reports that DOS 1.x is being used.
goto end
:DOS2
Echo Sparkle reports that DOS 2.x is being used.
goto end
:DOS3
Echo Sparkle reports that DOS 3.x is being used.
goto end
:DOS4
Echo Sparkle reports that DOS 4.x is being used.
goto end
:DOS5
Echo Sparkle reports that DOS 5.x is being used.
:end
Echo 
Pause
Echo off
Cls
Echo 
Echo Thank you for trying Sparkle2 %YourName%
Echo 
Echo 
Echo 
Echo    We hope you enjoyed this demo %YourName%.
Echo 
Echo    Just type Sparkle2 [enter] for a summary of Sparkle's options
Echo    and how to use them.
Echo 
Echo    Then browse through Sparkle's manual (Sparkle2.Doc) for details.
Echo 
Echo 
Echo Goodbye %YourName%
Echo 
Echo 
