echo off
echo.
echo Ŀ
echo  Choose the boot configuration for the next boot   
echo  By Prof. Timo Salmi, ts@chyde.uwasa.fi, 8-Feb-92  
echo 
echo.

rem Put a line with the word "Description:" into your alternative
rem autoexec.bat files to show which boot is now on, E.g.
rem Description: LastByte upper memory manager boot

rem If no parameter give help, and show the current boot choice
if "%1"=="" goto _help

rem Turn off the read-only attribute
attrib -r c:\autoexec.bat
attrib -r c:\config.sys

rem Choose the next boot
for %%f in (1 2 3) do if "%1"=="%%f" goto _%%f
goto :_help

:_1
copy c:\confnorm.sys c:\config.sys > nul
copy c:\autonorm.bat c:\autoexec.bat > nul
goto _common

:_2
copy c:\conftlb.sys c:\config.sys > nul
copy c:\autotlb.bat c:\autoexec.bat > nul
goto _common

:_3
copy c:\conftest.sys c:\config.sys > nul
copy c:\autotest.bat c:\autoexec.bat > nul
goto _common

rem Instructions to the user
:_common
set _return=_altcd
goto _subru
:_altcd
echo.
echo ALT-CTRL-DEL to boot

rem Turn on the read-only attribute for safety
attrib +r c:\autoexec.bat
attrib +r c:\config.sys
goto :_out

rem Help for the user.  Customize as appropriate. If you
rem have more that two, also edit the "for" statement earlier
:_help
echo Usage: BOOT [Choice]
echo.
echo 1 = My normal MsDos 3.3 boot
echo 2 = LastByte upper memory manager boot
echo 3 = Test configuration
echo.
set _return=_out

:_subru
rem Batch subroutine to show which boot choice is the currently selected
echo The current boot is
find "Description:" c:\autoexec.bat
goto %_return%

:_out
set _return=
echo on
