













                                            TYPETIMER USER MANUAL


















                                                                   KIS Systems
                                                                   19-Jan-1992


























                    TypeTimer is a trademark of KIS Systems
                   Windows is a trademark of Microsoft, Inc.


                         Copyright @1991, KIS Systems
        This manual may not be reproduced or copied in any form without
                      express permission of KIS Systems.

                       TypeTimer registration fees are:
                 $10.00 usage only, $23.00 full registration.
                          Please send remittance to:


                                  KIS Systems
                                 PO Box 28807
                              San Diego, CA 92198







                                                                     TypeTimer

1.  USING TYPETIMER

    TypeTimer is extremely simple to use.  The basic steps are as follows:

    . Load TypeTimer at the DOS prompt by typing one of the following DOS
      commands, depending on the hot key activation sequence you want:

          typtmr      (hotkey: CTL-T)
          typtmr 1    (hotkey: CTL-SPACE)
          typtmr 2    (hotkey: ALT-CTL-SPACE)

      TypeTimer will load as a memory resident (TSR) program.

    . Invoke your text based screen editor or word processor (a graphics
      oriented or Windows editor will not work).

    . Get your editor/word processor ready to insert new text (for instance,
      create a new document).

    . Invoke TypeTimer with the hotkey combination and type in the number of
      minutes you want for the test duration.  If you enter ESC or a time of
      0, the test will cancel.

    . At the prompt, enter any key and the TypeTimer window will disappear,
      leaving you back at input mode in your editor.

    . Begin typing.  The timer will begin with the first key pressed in the
      editor screen.  If you wish to cancel the test, press the hotkey
      combination again.

    . When the specified time is up, TypeTimer will pop back up and disable
      all input to the editor.  This window will display the following
      statistics:

          Time in minutes (seconds):      <minutes> (<seconds>)
          Number of words (backspaces):   <words> (<backspace count>)
          Words/minute:                   <words per minute>

    . Type control-z (or control-a for information about KIS Systems) to exit
      the statistics window.  TypeTimer is now inactive until you press the
      hotkey combination again.

    . For accuracy checks, check the typed document with your editor's/word
      processor's spelling checker, if it is equipped with one, or inspect the
      output visually.

    . Invoke TypeTimer as many times as you wish, either in the same session
      of your word processor or in another session with the same or another
      word processor.  Just type the hotkey combination to get control.


                                       2                           KIS Systems







                                                                     TypeTimer

    . At any time you decide you don't want TypeTimer resident (occupying real
      memory), you can unload it with the following command (at the DOS
      prompt):

          typtmr -

    You can retrieve a previous session's results by typing the hotkey
combination to activate TypeTimer and then 'L' to see the previous results.











































                                       3                           KIS Systems







                                                                     TypeTimer

2.  TYPETIMER FEATURES

    TypeTimer is a memory resident timer and keystroke counter that is
activated within your text based word processor or screen editor.  Once it is
invoked and set, TypeTimer monitors the system clock and counts physical
keystrokes until the specified time has been reached, at which time it comes
back up and takes over the system to report statistics.  Advantages of
TypeTimer are:

    . It works within your own word processor, with which you are already
      familiar.  Words are recognized and counted by the system independently
      of your word processor.

    . It may be invoked any number of times and at any point within a word
      processing session.  For instance, you can invoke it halfway through a
      document and spot-check your speed once you're warmed up.

    . It remains memory resident as long as you wish it to be active, taking
      up about 26K of memory.  This doesn't adversely affect any word
      processors we are familiar with.

    . It may be easily unloaded from memory at any time, provided it is the
      last TSR loaded.

    . It's tiny.  The entire system consists of a single 20K executable file.


























                                       4                           KIS Systems







                                                                     TypeTimer

3.  INSTALLATION

    The only required file for TypeTimer is the file on the distribution disk
(or zipfile) called 'typtmr.exe'.  This file should be copied to a directory
that is within your path (most users define a general directory such as \BIN,
\UTIL or \MISC to collect general utilities).  You can check your path
environment variable with the DOS command as follows:

    path

    This will produce a list of directories that are within your path.  Check
your DOS manual for further information.

    You can temporarily delete from your disk any other files you unzipped
with this package.  Note you will need 'typval.exe' to validate the TypeTimer
executable on registration.  Keep your distribution executable (read the
readme file for further instructions).


































                                       5                           KIS Systems







                                                                     TypeTimer

4.  CAVEATS - LIMITATIONS

    TypeTimer counts physical keystrokes and determines the number of words
typed on the fly.  It remembers the last 256 keystrokes so that if you back up
to make corrections, it will still keep an accurate word count.  If you back
up over 256 keystrokes, the count will not be accurate.

    There are no real limits to the number of minutes you can specify for the
test duration, or the number of words it will count.  However, if you enter an
inordinately long time (like 120 minutes) and get out of your word processor,
you may be surprised two hours later to discover TypeTimer suddenly becoming
active and giving you a report of every word it's recognized since you set it! 
TypeTimer will act over virtually any program, including the DOS command
processor.  This is why you can use it to count words typed in any word
processor.

    TypeTimer recognizes words by toggling a switch when spaces are hit. 
Thus, consecutive strings of non-space characters are recognized as words as
soon as a space character is hit.  The following characters are considered as
spaces:

      [space], [tab], and all of the following: "-_+=.>,</?

    Non-space characters are:

      a-z, A-Z, 0-9, and all of the following: !@#$%^&*();*\|`~

    All other characters or keys are ignored.  Keystrokes used to control your
word processor (for instance to set italics) may or may not be counted within
a word.  In general, control keystrokes should be avoided while timing.

    TypeTimer does not work with Windows based text processors or editors.  A
Windows version is under development, registered users will be informed when
it is available.

















                                       6                           KIS Systems

